Package org.opensaml.xmlsec.algorithm.descriptors

# Class KeyTransportRSA15

java.lang.Object
org.opensaml.xmlsec.algorithm.descriptors.KeyTransportRSA15

All Implemented Interfaces:
  `AlgorithmDescriptor`, `KeySpecifiedAlgorithm`, `KeyTransportAlgorithm`

public final class KeyTransportRSA15 extends Object implements KeyTransportAlgorithm
Algorithm descriptor for key transport algorithm: RSA v1.5.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.opensaml.xmlsec.algorithm.AlgorithmDescriptor

`AlgorithmDescriptor.AlgorithmType`

## Constructor Summary

Constructors
Constructor
Description
`KeyTransportRSA15()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCipherMode()`
Get the JCA cipher mode specified by this algorithm.
`String`
`getJCAAlgorithmID()`
Get the algorithm's JCA algorithm ID.
`String`
`getKey()`
Get the JCA key type specified by this algorithm.
`String`
`getPadding()`
Get the JCA padding algorithm specified by this algorithm.
`AlgorithmDescriptor.AlgorithmType`
`getType()`
Get the algorithm URI's fundamental type.
`String`
`getURI()`
Get the algorithm's identifying URI.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### KeyTransportRSA15

public KeyTransportRSA15()

## Method Details

### getKey

@Nonnull @NotEmpty public String getKey()
Get the JCA key type specified by this algorithm.

Specified by:
  `getKey` in interface `KeySpecifiedAlgorithm`
Returns:
  the key type

### getURI

@Nonnull @NotEmpty public String getURI()
Get the algorithm's identifying URI.

Specified by:
  `getURI` in interface `AlgorithmDescriptor`
Returns:
  the algorithm URI

### getType

@Nonnull public AlgorithmDescriptor.AlgorithmType getType()
Get the algorithm URI's fundamental type.

Specified by:
  `getType` in interface `AlgorithmDescriptor`
Returns:
  a type specified with `AlgorithmDescriptor.AlgorithmType`

### getJCAAlgorithmID

@Nonnull @NotEmpty public String getJCAAlgorithmID()
Get the algorithm's JCA algorithm ID.

Specified by:
  `getJCAAlgorithmID` in interface `AlgorithmDescriptor`
Returns:
  the JCA algorithm ID

### getCipherMode

@Nonnull @NotEmpty public String getCipherMode()
Get the JCA cipher mode specified by this algorithm.

Specified by:
  `getCipherMode` in interface `KeyTransportAlgorithm`
Returns:
  the cipher mode

### getPadding

@Nonnull @NotEmpty public String getPadding()
Get the JCA padding algorithm specified by this algorithm.

Specified by:
  `getPadding` in interface `KeyTransportAlgorithm`
Returns:
  the padding algorithm